<bugID>1123442<Summary>Middle-click on a search bar completion or search engine options doesn't open new tab in foreground like location bar and bookmark</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:36.0) Gecko/20100101 Firefox/36.0
Build ID: 20150114125146

Steps to reproduce:

Search something in search bar until some suggestions show.

Middle click the suggestions


Actual results:

The suggestion result opens in background new tab. 


Expected results:

It was in foreground new tab. And it still do so in location bar, so they're inconsistent.

Note: either new search bar design and the old one are affected.</Description></bugID>